/**
*
*   Defines and structures for automatic Area... stuff.
*
**/
struct vtx {   struct vtx *next;
               int type;
               int x;
               int y;
               int a;
               int b;
           };

#define AREAMOVE    1
#define AREADRAW    2
#define AREACIRCLE  3
#define AREAELLIPSE 4

/*
*   Prototypes for functions defined in areapolydraw.c
*/
int AreaPolyDraw(struct Window *, struct vtx *, int , int , int);
struct vtx *AddVertex(struct vtx *);
struct vtx *KillVertex(struct vtx *);

#define APD_TEXTURE 0x100
#define APD_DITHER  0x200
#define APD_NOFILL  0x400
#define APD_OUTLINE 0x800

